Skip to main content
PATCH
/
entitlements
/
{entitlement_id}
Update entitlement
curl --request PATCH \
  --url https://api.zenskar.com/entitlements/{entitlement_id} \
  --header 'Content-Type: application/json' \
  --header 'organisation: <api-key>' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "entitlement_type": "Feature",
  "units": "<string>",
  "is_active": true,
  "product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "description": "<string>",
  "entitlement_type": "Feature",
  "units": "<string>",
  "is_active": true,
  "product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
default:<your-api-key>
required
organisation
string
header
default:<your-organisation-id>
required

Path Parameters

entitlement_id
string<uuid>
required

Body

application/json

Update Entitlement RequestSchema

name
string
required

Entitlement name

description
string | null

Entitlement Description

entitlement_type
enum<string> | null

Entitlement Type

Available options:
Feature,
Quantity,
Credits
units
string | null

Entitlement Units

is_active
boolean | null

Entitlement is active

product_id
string<uuid> | null

Product ID

Response

Successful Response

Create Entitlement Response Schema

id
string<uuid>
required

Entitlement Id

name
string
required

Entitlement name

description
string | null

Entitlement Description

entitlement_type
enum<string> | null

Entitlement Type

Available options:
Feature,
Quantity,
Credits
units
string | null

Entitlement Units

is_active
boolean | null
default:true

Entitlement is active

product_id
string<uuid> | null

Product ID

created_at
string<date-time> | null

created time